package com.chelvc.framework.database.support;

import com.baomidou.mybatisplus.core.metadata.TableInfo;
import org.apache.ibatis.mapping.MappedStatement;
import org.apache.ibatis.mapping.SqlSource;

/**
 * 查询对象分页方法实现
 *
 * @author Woody
 * @date 2024/5/28
 */
public class GetPageMethod extends AbstractSelectMethod {
    @Override
    public MappedStatement injectMappedStatement(Class<?> mapper, Class<?> model, TableInfo table) {
        SqlSource source = this.initializeSqlSource(model, table);
        return this.addSelectMappedStatementForTable(mapper, "getPage", source, table);
    }
}
